
From: Tom Rini <trini@kernel.crashing.org>

On ppc32, <asm/sigcontext.h> uses __user, but doesn't directly include
<linux/compiler.h>.  This adds that in.  Without this, glibc will not
compile.

Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ppc/sigcontext.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-ppc/sigcontext.h~ppc32-add-linux-compilerh-to-asm-sigcontexth include/asm-ppc/sigcontext.h
--- 25/include/asm-ppc/sigcontext.h~ppc32-add-linux-compilerh-to-asm-sigcontexth	Mon Jun  6 14:56:33 2005
+++ 25-akpm/include/asm-ppc/sigcontext.h	Mon Jun  6 14:56:33 2005
@@ -2,7 +2,7 @@
 #define _ASM_PPC_SIGCONTEXT_H
 
 #include <asm/ptrace.h>
-
+#include <linux/compiler.h>
 
 struct sigcontext {
 	unsigned long	_unused[4];
_
